Bug 191311 - ShadowRoot should have styleSheets property
Summary: ShadowRoot should have styleSheets property
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: DOM (show other bugs)
Version: Safari Technology Preview
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Ryosuke Niwa
URL:
Keywords: InRadar
Depends on: 192137
Blocks: 148695
  Show dependency treegraph
 
Reported: 2018-11-06 10:19 PST by Ryosuke Niwa
Modified: 2018-11-30 15:33 PST (History)
7 users (show)

See Also:


Attachments
Adds the support (15.82 KB, patch)
2018-11-29 20:17 PST, Ryosuke Niwa
no flags Details | Formatted Diff | Diff
Fixed the build (15.83 KB, patch)
2018-11-29 21:37 PST, Ryosuke Niwa
no flags Details | Formatted Diff | Diff
Archive of layout-test-results from ews103 for mac-sierra (2.58 MB, application/zip)
2018-11-29 22:45 PST, Build Bot
no flags Details
Archive of layout-test-results from ews105 for mac-sierra-wk2 (3.11 MB, application/zip)
2018-11-29 22:53 PST, Build Bot
no flags Details
Archive of layout-test-results from ews115 for mac-sierra (2.26 MB, application/zip)
2018-11-29 23:39 PST, Build Bot
no flags Details
Archive of layout-test-results from ews123 for ios-simulator-wk2 (2.41 MB, application/zip)
2018-11-30 00:34 PST, Build Bot
no flags Details
Rebaselined the tests (17.54 KB, patch)
2018-11-30 11:47 PST, Ryosuke Niwa
koivisto: review+
Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Ryosuke Niwa 2018-11-06 10:19:09 PST
See https://github.com/w3c/csswg-drafts/issues/548

We need to have styleSheets defined on ShadowRoot.
Comment 1 Radar WebKit Bug Importer 2018-11-28 22:33:55 PST
<rdar://problem/46333290>
Comment 2 Ryosuke Niwa 2018-11-29 20:17:03 PST
Created attachment 356117 [details]
Adds the support
Comment 3 Ryosuke Niwa 2018-11-29 21:37:41 PST
Created attachment 356129 [details]
Fixed the build
Comment 4 Build Bot 2018-11-29 22:45:47 PST
Comment on attachment 356129 [details]
Fixed the build

Attachment 356129 [details] did not pass mac-ews (mac):
Output: https://webkit-queues.webkit.org/results/10210311

New failing tests:
imported/w3c/web-platform-tests/css/cssom/selectorText-modification-restyle-002.html
imported/w3c/web-platform-tests/css/css-scoping/stylesheet-title-002.html
Comment 5 Build Bot 2018-11-29 22:45:49 PST
Created attachment 356144 [details]
Archive of layout-test-results from ews103 for mac-sierra

The attached test failures were seen while running run-webkit-tests on the mac-ews.
Bot: ews103  Port: mac-sierra  Platform: Mac OS X 10.12.6
Comment 6 Build Bot 2018-11-29 22:53:00 PST
Comment on attachment 356129 [details]
Fixed the build

Attachment 356129 [details] did not pass mac-wk2-ews (mac-wk2):
Output: https://webkit-queues.webkit.org/results/10210315

New failing tests:
imported/w3c/web-platform-tests/css/cssom/selectorText-modification-restyle-002.html
imported/w3c/web-platform-tests/css/css-scoping/stylesheet-title-002.html
Comment 7 Build Bot 2018-11-29 22:53:02 PST
Created attachment 356145 [details]
Archive of layout-test-results from ews105 for mac-sierra-wk2

The attached test failures were seen while running run-webkit-tests on the mac-wk2-ews.
Bot: ews105  Port: mac-sierra-wk2  Platform: Mac OS X 10.12.6
Comment 8 Build Bot 2018-11-29 23:39:14 PST
Comment on attachment 356129 [details]
Fixed the build

Attachment 356129 [details] did not pass mac-debug-ews (mac):
Output: https://webkit-queues.webkit.org/results/10210493

New failing tests:
imported/w3c/web-platform-tests/css/cssom/selectorText-modification-restyle-002.html
imported/w3c/web-platform-tests/css/css-scoping/stylesheet-title-002.html
Comment 9 Build Bot 2018-11-29 23:39:15 PST
Created attachment 356152 [details]
Archive of layout-test-results from ews115 for mac-sierra

The attached test failures were seen while running run-webkit-tests on the mac-debug-ews.
Bot: ews115  Port: mac-sierra  Platform: Mac OS X 10.12.6
Comment 10 Build Bot 2018-11-30 00:34:54 PST
Comment on attachment 356129 [details]
Fixed the build

Attachment 356129 [details] did not pass ios-sim-ews (ios-simulator-wk2):
Output: https://webkit-queues.webkit.org/results/10210822

New failing tests:
imported/w3c/web-platform-tests/css/cssom/selectorText-modification-restyle-002.html
imported/w3c/web-platform-tests/css/css-scoping/stylesheet-title-002.html
Comment 11 Build Bot 2018-11-30 00:34:56 PST
Created attachment 356157 [details]
Archive of layout-test-results from ews123 for ios-simulator-wk2

The attached test failures were seen while running run-webkit-tests on the ios-sim-ews.
Bot: ews123  Port: ios-simulator-wk2  Platform: Mac OS X 10.13.6
Comment 12 Ryosuke Niwa 2018-11-30 11:47:11 PST
Created attachment 356210 [details]
Rebaselined the tests
Comment 13 Antti Koivisto 2018-11-30 15:31:00 PST
r=me
Comment 14 Ryosuke Niwa 2018-11-30 15:32:21 PST
Thanks!
Comment 15 Ryosuke Niwa 2018-11-30 15:33:41 PST
Committed r238758: <https://trac.webkit.org/changeset/238758>